curl --request GET \
--url https://api.example.com/task_runs/{id}import requests
url = "https://api.example.com/task_runs/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/task_runs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"task_key": "<string>",
"dynamic_key": "<string>",
"name": "my-task-run",
"flow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cache_key": "<string>",
"cache_expiration": "2023-11-07T05:31:56Z",
"task_version": "<string>",
"empirical_policy": {
"max_retries": 0,
"retry_delay_seconds": 0,
"retries": 123,
"retry_delay": 123,
"retry_jitter_factor": 123
},
"tags": [
"tag-1",
"tag-2"
],
"labels": {
"key": "value1",
"key2": 42
},
"state_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_inputs": {},
"state_type": "SCHEDULED",
"state_name": "<string>",
"run_count": 0,
"flow_run_run_count": 0,
"expected_start_time": "2023-11-07T05:31:56Z",
"next_scheduled_start_time": "2023-11-07T05:31:56Z",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"total_run_time": 0,
"estimated_run_time": 0,
"estimated_start_time_delta": 0,
"state": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "SCHEDULED",
"name": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"message": "Run started",
"data": "<unknown>",
"state_details": {
"flow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"child_flow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scheduled_time": "2023-11-07T05:31:56Z",
"cache_key": "<string>",
"cache_expiration": "2023-11-07T05:31:56Z",
"deferred": false,
"untrackable_result": false,
"pause_timeout": "2023-11-07T05:31:56Z",
"pause_reschedule": false,
"pause_key": "<string>",
"run_input_keyset": {},
"refresh_cache": true,
"retriable": true,
"transition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_parameters_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"traceparent": "<string>",
"deployment_concurrency_lease_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Read Task Run
Get a task run by id.
Headers
Path Parameters
The task run id
Response
Successful Response
An ORM representation of task run data.
A unique identifier for the task being run.
A dynamic key used to differentiate between multiple runs of the same task within the same flow run.
"my-task-run"
The flow run id of the task run.
An optional cache key. If a COMPLETED state associated with this cache key is found, the cached COMPLETED state will be used instead of executing the task run.
Specifies when the cached state should expire.
The version of the task being run.
Defines of how a task run should retry.
Show child attributes
Show child attributes
A list of tags for the task run.
["tag-1", "tag-2"]
A dictionary of key-value labels. Values can be strings, numbers, or booleans.
Show child attributes
Show child attributes
{ "key": "value1", "key2": 42 }
The id of the current task run state.
Tracks the source of inputs to a task run. Used for internal bookkeeping.
Show child attributes
Show child attributes
The type of the current task run state.
SCHEDULED, PENDING, RUNNING, COMPLETED, FAILED, CANCELLED, CRASHED, PAUSED, CANCELLING The name of the current task run state.
The number of times the task run has been executed.
If the parent flow has retried, this indicates the flow retry this run is associated with.
The task run's expected start time.
The next time the task run is scheduled to start.
The actual start time.
The actual end time.
Total run time. If the task run was executed multiple times, the time of each run will be summed.
A real-time estimate of total run time.
The difference between actual and expected start time.
The current task run state.
Show child attributes
Show child attributes
Was this page helpful?